Dieser Installation fehlen einige empfohlene PHP-Module – imagick

Diese Meldung tauchte bei mir im NextCLOUD unter „Einstellungen / Übersicht“ mehr oder weniger auf einmal auf. Ich war doch etwas verwundert, schließlich läuft meine Nextcloud schon länger und das mit den Bildern war bisher kein Problem.

Ich loggte mich also in die Konsole ein und gab die Befehle ein um Imagick zu installieren.

apt install imagick && apt install php-imagick

Überraschenderweise waren beide Module installiert. Imagick wurde aber dennoch nicht ausgeführt. Tatsächlich gibt es aber noch spezielle Module für die jeweilige genutzte PHP Version. Nach einem beherzten

apt install php7.3-imagick

war das Problem dann vom Tisch. php8-imagick war überraschenderweise installiert.

Irgendwas muss da beim letzten Update des Containers schiefgelaufen sein.

Dieser Artikel enthält Fehler? Es gibt Fragen zum Thema, die ich noch nicht beantwortet habe? Ihr habt Tipps wie es noch besser geht? Gerne nutze die Seite Fragen & Hinweise. Ich antworte dann so schnell wie möglich.